> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unibee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile

## Endpoint Overview

**POST** `https://api.unibee.dev/merchant/update`

Update Profile

***

## Authorization

All UniBee Merchant API requests require authentication via API key.

| Header          | Required | Description                           |
| --------------- | -------- | ------------------------------------- |
| `Authorization` | Yes      | Bearer `<your_api_key>`               |
| `Content-Type`  | Yes      | `application/json` (for request body) |

***

## Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

### Request body

| Name                  | Type   | Required | Description           |
| --------------------- | ------ | -------- | --------------------- |
| `address`             | string | No       | address               |
| `companyLogo`         | string | No       | company\_logo         |
| `companyName`         | string | No       | company\_name         |
| `companyRegistryCode` | string | No       | Country Registry Code |
| `companyVatNumber`    | string | No       | Country Vat Number    |
| `countryCode`         | string | No       | Country Code          |
| `countryName`         | string | No       | Country Name          |
| `email`               | string | No       | email                 |
| `phone`               | string | No       | phone                 |
| `timeZone`            | string | No       | User TimeZone         |

***

## Request examples

### cURL

```bash theme={null}
curl -X POST "https://api.unibee.dev/merchant/update" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "",
  "companyLogo": "",
  "companyName": "",
  "companyRegistryCode": "",
  "companyVatNumber": "",
  "countryCode": "",
  "countryName": "",
  "email": "user@example.com",
  "phone": "",
  "timeZone": 0
}'
```

### Sandbox

```bash theme={null}
curl -X POST "https://api-sandbox.unibee.top/merchant/update" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "address": "",
  "companyLogo": "",
  "companyName": "",
  "companyRegistryCode": "",
  "companyVatNumber": "",
  "countryCode": "",
  "countryName": "",
  "email": "user@example.com",
  "phone": "",
  "timeZone": 0
}'
```

***

## Response

Success responses return a JSON envelope with `code`, `data`, `message`, `redirect`, and `requestId`. `code` `0` indicates success.

| Field           | Type    | Description                  |
| --------------- | ------- | ---------------------------- |
| `code`          | integer | Response code. `0` = success |
| `data`          | object  | Response payload             |
| `data.merchant` | object  |                              |
| `message`       | string  | Human-readable message       |
| `requestId`     | string  | Request ID for support       |

***

## Error handling

| HTTP status | Meaning                                                                   |
| ----------- | ------------------------------------------------------------------------- |
| 400         | Bad request — invalid or missing parameters. Check `message` in the body. |
| 401         | Unauthorized — missing or invalid API key.                                |
| 404         | Not found — invalid path or resource.                                     |
| 500         | Server error — retry with backoff.                                        |

When `code` in the response body is non-zero, check `message` for details. Use `requestId` when contacting support.


## OpenAPI

````yaml post /merchant/update
openapi: 3.0.0
info:
  description: UniBee Api Server
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: OpenAPI UniBee
  version: daily,buildtime:202603161017
servers:
  - url: https://api.unibee.dev
  - url: https://api-sandbox.unibee.top
security:
  - Authorization: []
paths:
  /merchant/update:
    post:
      tags:
        - Merchant
      summary: Update Profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/unibee.api.merchant.profile.UpdateReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    format: int
                    properties: {}
                    type: integer
                  data:
                    properties:
                      merchant:
                        $ref: '#/components/schemas/unibee.api.bean.Merchant'
                    type: object
                  merchantId:
                    format: int64
                    properties: {}
                    type: integer
                  message:
                    format: string
                    properties: {}
                    type: string
                  redirect:
                    format: string
                    properties: {}
                    type: string
                  requestId:
                    format: string
                    properties: {}
                    type: string
                type: object
          description: ''
components:
  schemas:
    unibee.api.merchant.profile.UpdateReq:
      properties:
        address:
          description: address
          format: string
          properties: {}
          type: string
        companyLogo:
          description: company_logo
          format: string
          properties: {}
          type: string
        companyName:
          description: company_name
          format: string
          properties: {}
          type: string
        companyRegistryCode:
          description: Country Registry Code
          format: string
          properties: {}
          type: string
        companyVatNumber:
          description: Country Vat Number
          format: string
          properties: {}
          type: string
        countryCode:
          description: Country Code
          format: string
          properties: {}
          type: string
        countryName:
          description: Country Name
          format: string
          properties: {}
          type: string
        email:
          description: email
          format: string
          properties: {}
          type: string
        phone:
          description: phone
          format: string
          properties: {}
          type: string
        timeZone:
          description: User TimeZone
          format: string
          properties: {}
          type: string
      type: object
    unibee.api.bean.Merchant:
      properties:
        address:
          description: address
          format: string
          properties: {}
          type: string
        companyLogo:
          description: company_logo
          format: string
          properties: {}
          type: string
        companyName:
          description: company_name
          format: string
          properties: {}
          type: string
        companyRegistryCode:
          description: Country Registry Code
          format: string
          properties: {}
          type: string
        companyVatNumber:
          description: Country Vat Number
          format: string
          properties: {}
          type: string
        countryCode:
          description: Country Code
          format: string
          properties: {}
          type: string
        countryName:
          description: Country Name
          format: string
          properties: {}
          type: string
        createTime:
          description: create utc time
          format: int64
          properties: {}
          type: integer
        email:
          description: email
          format: string
          properties: {}
          type: string
        homeUrl:
          format: string
          properties: {}
          type: string
        host:
          description: merchant user portal host
          format: string
          properties: {}
          type: string
        id:
          description: merchant_id
          format: int64
          properties: {}
          type: integer
        location:
          description: location
          format: string
          properties: {}
          type: string
        name:
          description: name
          format: string
          properties: {}
          type: string
        phone:
          description: phone
          format: string
          properties: {}
          type: string
        timeZone:
          description: merchant default time zone
          format: string
          properties: {}
          type: string
        type:
          description: type
          format: int
          properties: {}
          type: integer
        userId:
          description: create_user_id
          format: int64
          properties: {}
          type: integer
      type: object
  securitySchemes:
    Authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````